Package org.apache.sling.scripting.sightly.impl.compiler.frontend

## Class ElementContext.Attribute

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.frontend.ElementContext.Attribute

Enclosing class:
  ElementContext

    public static class ElementContext.Attribute
    extends Object

### Constructor Summary

Constructors
`Attribute​(String name, Object value, char quoteChar)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`char` `getQuoteChar()`
`Object` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Attribute

    public Attribute​(String name,
                     Object value,
                     char quoteChar)

### Method Detail

#### getName

    public String getName()

#### getValue

    public Object getValue()

#### getQuoteChar

    public char getQuoteChar()